import * as $dara from '@darabonba/typescript';
export declare class UpdateEnhancedVpnGatewayResponseBodyEniInstanceIds extends $dara.Model {
    eniInstanceId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateEnhancedVpnGatewayResponseBodyTagsTag extends $dara.Model {
    key?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateEnhancedVpnGatewayResponseBodyTags extends $dara.Model {
    tag?: UpdateEnhancedVpnGatewayResponseBodyTagsTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class UpdateEnhancedVpnGatewayResponseBody extends $dara.Model {
    /**
     * @example
     * true
     */
    autoPropagate?: boolean;
    /**
     * @example
     * 1492753580000
     */
    createTime?: number;
    /**
     * @example
     * test
     */
    description?: string;
    /**
     * @example
     * vsw-p0w95ql6tmr2ludkt****
     */
    disasterRecoveryVSwitchId?: string;
    /**
     * @example
     * true
     */
    enableBgp?: boolean;
    eniInstanceIds?: UpdateEnhancedVpnGatewayResponseBodyEniInstanceIds;
    /**
     * @example
     * Enhanced.SiteToSite
     */
    gatewayType?: string;
    /**
     * @example
     * test
     */
    name?: string;
    /**
     * @example
     * public
     */
    networkType?: string;
    /**
     * @example
     * 54B48E3D-DF70-471B-AA93-08E683A1B457
     */
    requestId?: string;
    /**
     * @example
     * rg-acfmzs372yg****
     */
    resourceGroupId?: string;
    /**
     * @example
     * active
     */
    status?: string;
    /**
     * @example
     * {"VpnEnableBgp": true}
     */
    tag?: string;
    tags?: UpdateEnhancedVpnGatewayResponseBodyTags;
    /**
     * @example
     * vsw-bp1y9ovl1cu9ou4tv****
     */
    vSwitchId?: string;
    /**
     * @example
     * vpc-bp1ub1yt9cvakoel****
     */
    vpcId?: string;
    /**
     * @example
     * vpn-bp1q8bgx4xnkm2ogj****
     */
    vpnGatewayId?: string;
    /**
     * @example
     * Normal
     */
    vpnType?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
